package ru.ifmo.robocode;

import ru.ifmo.robocode.Basis;
import ru.ifmo.robocode.SimpleTank;
import ru.ifmo.robocode.gep.Chromosome;

import java.io.FileReader;
import java.io.IOException;
import java.io.Reader;

public class EvolvedTank extends SimpleTank {
    public EvolvedTank() {
        setModel(getModel("res/exp/Best.exp"));
    }

    private TankControlSystem getModel(String file) {
        try {
            Reader r = new FileReader(file);
            Chromosome c = new Chromosome(r);
            r.close();
            return new AutomataFunction(c, Basis.values(), Environment.terms());
        } catch (IOException e1) {
            throw new RuntimeException(e1);
        }
    }

}
